org.mariadb.jdbc.internal.mysql.packet

## Class MySQLFieldPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.MySQLFieldPacket

    public class MySQLFieldPacket
    extends Object

Creates column information from field packets.

### Constructor Summary

Constructors
Constructor and Description
`MySQLFieldPacket()`

### Method Summary

Methods
`static MySQLColumnInformation` `columnInformationFactory(RawPacket rawPacket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLFieldPacket

    public MySQLFieldPacket()

### Method Detail

#### columnInformationFactory

    public static MySQLColumnInformation columnInformationFactory(RawPacket rawPacket)
                                                           throws IOException

Throws:
  `IOException`